@charset "utf-8";

* {
    color: #272343;
    cursor: url("../img/pointer.svg") 10 10, auto;
}

a {
    text-decoration: none;
}

a:hover {
    cursor: url(../img/pointer_hvr.svg) 10 10, auto;
}

p {
    line-height: 2;
}

.bold {
    font-weight: 900;
}


img {
    height: 100%;
}

body {
    background-image: url(../img/bg.png);
    background-size: auto;
    background-repeat: no-repeat;
}

.wrapper {
    width: 100%;
    height: 100%;
    border-radius: 28px;
    overflow: hidden;
    margin-bottom: 40px;
}

@media screen and (min-width: 768px) {
    .pc {
        display: none;
    }
}


.openbtn {
    /*ボタン内側の基点となるためrelativeを指定。
追従するナビゲーションの場合はfixed＋top、rightといった位置をセットで指定*/
    position: fixed;
    background: #d9f7fa;
    cursor: url(../img/pointer_hvr.svg) 10 10, auto;
    width: 50px;
    height: 50px;
    border-radius: 5px;
    top: 15px;
    right: 15px;
    z-index: 50;
}

/*ボタン内側*/
.openbtn span {
    display: inline-block;
    transition: all .4s;
    /*アニメーションの設定*/
    position: absolute;
}

.openbtn span:nth-of-type(1),
.openbtn span:nth-of-type(3) {
    height: 2px;
    background: #666;
    width: 62%;
    left: 10px;
}

.openbtn span:nth-of-type(1) {
    top: 13px;
}

.openbtn span:nth-of-type(2) {
    top: 19px;
    left: 11px;
    font-size: 0.6rem;
    text-transform: uppercase;
    color: #666;
}

.openbtn span:nth-of-type(3) {
    top: 36px;
}

/*activeクラスが付与されると線が回転して×になり、Menu表記をしている2つ目の要素が透過して消える*/
.openbtn.active span:nth-of-type(1) {
    top: 18px;
    left: 18px;
    transform: translateY(6px) rotate(-45deg);
    width: 30%;
}

.openbtn.active span:nth-of-type(2) {
    opacity: 0;
}

.openbtn.active span:nth-of-type(3) {
    top: 30px;
    left: 18px;
    transform: translateY(-6px) rotate(45deg);
    width: 30%;
}

.header .navi {
    width: 30%;
    height: 100vh;
    position: fixed;
    top: 80px;
    right: -30%;
    z-index: 20;
    transition: right 0.6s;
}

/* 開いた状態 */
.header .navi.open {
    right: 0;
}

.header .navi .menu {
    width: 100%;
    padding: 0 30px;
    overflow: auto;
    list-style-type: none;
    background-color: #fffffe;
    opacity: 0.9;
    border-radius: 20px 0 0 20px;
}


.header .navi .menu li {
    margin-bottom: 20px;
}

.header .navi .menu li:first-child {
    margin-top: 20px;
}

.header .navi:active {
    right: 0;
}



/*frame*/
/* —— デバイス本体（位置固定） —— */
.device {
    width: 90svw;
    height: 80svh;
    background: #ffffff;
    border: 3px solid #d9f7fa;
    border-radius: 40px;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    box-sizing: border-box;
    padding: 20px 20px 100px;
}

.device::after {
    width: 50px;
    height: 50px;
    border: solid 2px #d9f7fa;
    border-radius: 50px;
}

/*frameのレスポンシブ*/
@media screen and (min-width: 768px) {
    .device {
        max-width: 60svw;
        height: 95svh;
    }
}

.fluid {
    width: 30vh;
    /*横幅*/
    height: 30vh;
    /*縦幅*/
    background: #d9f7fa;
    /*背景色*/
    animation: fluidrotate 30s ease 0s infinite;
    /*アニメーションの設定*/
    position: absolute;
    top: -20px;
    left: 10px;
}

@keyframes fluidrotate {

    0%,
    100% {
        border-radius: 63% 37% 54% 46%/55% 48% 52% 45%;
    }

    14% {
        border-radius: 40% 60% 54% 46%/49% 60% 40% 51%;
    }

    28% {
        border-radius: 54% 46% 38% 62%/49% 70% 30% 51%;
    }

    42% {
        border-radius: 61% 39% 55% 45%/61% 38% 62% 39%;
    }

    56% {
        border-radius: 61% 39% 67% 33%/70% 50% 50% 30%;
    }

    70% {
        border-radius: 50% 50% 34% 66%/56% 68% 32% 44%;
    }

    84% {
        border-radius: 46% 54% 50% 50%/35% 61% 39% 65%;
    }

}



.fluid-mini {
    width: 20vh;
    /*横幅*/
    height: 20vh;
    /*縦幅*/
    background: #fff100;
    /*背景色*/
    position: absolute;
    right: -10px;
    bottom: 10px;
    animation: fluidrotate 20s ease 0s infinite;
    /*アニメーションの設定*/
}


@keyframes fluid-minirotate {

    0%,
    100% {
        border-radius: 57% 43% 63% 37% / 30% 52% 48% 70%
    }

    14% {
        border-radius: 34% 66% 53% 47% / 14% 70% 30% 86%
    }

    28% {
        border-radius: 69% 31% 58% 42% / 27% 59% 41% 73%
    }

    42% {
        border-radius: 61% 39% 55% 45%/61% 38% 62% 39%;
    }

    56% {
        border-radius: 44% 56% 58% 42% / 37% 44% 56% 63%
    }

    70% {
        border-radius: 61% 39% 58% 42% / 70% 52% 48% 30%
    }

    84% {
        border-radius: 65% 35% 66% 34% / 47% 62% 38% 53%
    }

}

/*フレームの装飾のボタン*/
.btn {
    display: flex;
    align-items: center;
    position: fixed;
    left: 0;
    right: 0;
    justify-content: center;
    bottom: 3vh;
}

.back,
.bskip,
.stop,
.skip,
.next {
    padding: 20px;
}

.screen {
    width: 100%;
    height: 90%;
    background: #fffffe;
    border: solid #d9f7fa;
    border-radius: 28px;
    overflow: hidden;
    position: relative;
}

.screen-content {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow-y: scroll;
    box-sizing: border-box;
    padding: 20px;
    color: #272343;
}

.screen-content::-webkit-scrollbar {
    display: none;
}



/*fv*/

.fv {
    background-image: url(../img/room-1.jpg);
    background-position: 50% 50%;
    background-size: cover;
    width: 100%;
    height: 55vh;
    position: relative;
}

.fv::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(227, 255, 238, 0.1);
    pointer-events: none;
}

.fv .fvbtngp {
    display: flex;
    justify-content: space-between;
    left: 0;
    right: 0;
    position: absolute;
    margin: 0 30px;
    bottom: 20%;

}

.fv .fvbtngp .fvbtn a {
    font-size: 20px;
    font-weight: 800;
    color: #fffffe;
}

.fv .logo {
    width: 100%;
    height: 100%;
    position: relative;
}

.fv .logo img {
    max-width: 100%;
    height: auto;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}


.big {
    text-decoration: none;
    color: #ffd803;
    font-size: 28px;
}

@media screen and (min-width:768px) {
    .fv .fvbtngp {
        margin: 0 50px;
    }

    .fv .fvbtngp .fvbtn a {
        font-size: 32px;
    }

    .big {
        font-weight: 900;
        font-size: 42px;
    }
}


/*concept*/

.section {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.title {
    font-size: 20px;
    margin-bottom: 20px;
    text-align: center;
    padding: 10px 20px;
    border: solid 2px #ffd803;
    border-radius: 50px;
    background-color: #fffffe;
    z-index: 5;
}

.description {
    font-size: 16px;
    text-align: center;
    margin-bottom: 20px;
}

/*staff*/
.member {
    text-align: center;
}

.member .img img {
    width: 40%;
    height: auto;
    object-fit: cover;
}

.name {
    font-size: 16px;
}

.roll {
    font-size: 12px;
}

@media screen and (min-width:768px) {
    .allmember {
        display: flex;
    }
}


/*room*/

.herfimg img {
    width: 100%;
}

.caption {
    text-align: center;
    margin-bottom: 20px;
}

.chapter {
    font-size: 16px;
    margin-bottom: 20px;
}

.detaile {
    font-size: 12px;
}

@media screen and (min-width:768px) {

    .colum {
        display: flex;
        width: 100%;
        align-items: center;
    }

    .colum:nth-of-type(2) {
        flex-direction: row-reverse;
    }

    .chapter {
        font-size: 20px;
        display: block;

    }

    .caption {
        width: 50%;
    }

    .detaile {
        font-size: 16px;
    }

    .herfimg {
        width: 50%;
        height: 60%;
    }

    .herfimg img {
        width: 100%;
        height: 60%;
        object-fit: cover;
    }

}

/*price*/

#price .wrapper {
    margin-bottom: 5px;
}

.price-table {
    border-collapse: collapse;
    min-width: 500px;
    width: 100%;
    text-align: center;
    background: #f5faff;
}

.price-table-wrap {
    margin-bottom: 20px;
    overflow-x: auto;
    width: 100%;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

.price-table-wrap::-webkit-scrollbar {
    display: none;
}


.price-table th,
.price-table td {
    font-size: 14px;
    padding: 20px 5px;
    border-right: 2px solid #eee;
}

.price-table th:last-child,
.price-table td:last-child {
    border-right: none;
}

.price-table .fixed {
    position: sticky;
    left: 0;
    background: #d9f7fa;
    z-index: 5;
    text-align: left;
    font-size: 14px;
    font-weight: 900;
}

.bigbold {
    font-size: 16px;
    font-weight: 900;
}

.pricebtn {
    text-align: center;
    margin-bottom: 35px;
}



/*== 波紋がふわっと広がる */

.btnripple3 {
    /*波紋の基点とするためrelativeを指定*/
    position: relative;
    /*リンクの形状*/
    display: inline-block;
    text-decoration: none;
    color: #333;
    outline: none;
}

/*波形の設定*/
.btnripple3:hover::before {
    content: '';
    /*絶対配置で波形の位置を決める*/
    position: absolute;
    left: 30%;
    top: 0;
    /*波形の形状*/
    border: 1px solid #333;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    /*はじめは不透明*/
    opacity: 1;
    /*アニメーションの設定*/
    animation: 1s circleanime2 forwards;
}

/*波形が広がるアニメーション*/
@keyframes circleanime2 {
    0% {
        transform: scale(0);
    }

    100% {
        transform: scale(2);
        opacity: 0;
    }
}

/*矢印の設定*/
.btnripple3::after {
    content: '';
    /*絶対配置で矢印の位置を決める*/
    position: absolute;
    top: 30%;
    right: -20px;
    /*矢印の形状*/
    width: 5px;
    height: 5px;
    border-top: 1px solid #000;
    border-right: 1px solid #000;
    transform: rotate(45deg);
}


@media screen and (min-width:768px) {

    .price-table th,
    .price-table td {
        font-size: 16px;
    }

    .price-table .fixed {
        font-size: 16px;
        font-weight: 900;
    }


    .bigbold {
        font-size: 20px;
        font-weight: 900;
    }
}


/*topic*/

.cmpimg img {
    width: 40%;
    height: auto;
    object-fit: cover;
    object-position: bottom;
    margin: 30px;
}

.cmpimg {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 10px;
}

.sub-title {
    font-size: 18px;
    margin-bottom: 20px;
    text-align: center;
}

#topic .section .main-topic .description .detaile {
    padding: 5px 10px;
    margin-bottom: 20px;
    border: solid 2px #d9f7fa;
    background-color: #fffffe;
    position: relative;
    z-index: 50;
}

#topic .section .main-topic .description .detaile::before {
    content: "";
    width: 30px;
    height: 30px;
    position: absolute;
    border: solid 4px #d9f7fa;
    background-color: #d9f7fa;
    bottom: -15%;
    right: -10%;
}

#topic .section .main-topic .description .detaile:nth-of-type(2)::after {
    content: "1";
    position: absolute;
    top: 0%;
    font-weight: 900;
    font-size: 36px;
    top: -60%;
    left: -5%;
    color: #d9f7fa;
}

#topic .section .main-topic .description .detaile:nth-of-type(3)::after {
    content: "2";
    position: absolute;
    top: 0%;
    font-weight: 900;
    font-size: 36px;
    top: -60%;
    left: -5%;
    color: #d9f7fa;
}



#topic .section .main-topic .description .detaile:first-child {
    margin-bottom: 60px;
    border: none;
}


#topic .section .main-topic .description .detaile:first-child::before {
    content: none;
    /* ← 装飾を消す */
}


.topicbtn {
    text-align: center;
    margin-bottom: 35px;
}



/*==================================================
スライダーのためのcss
===================================*/


.slider {
    width: 100%;
}

.slider img {
    width: 80%;
    /*スライダー内の画像を横幅100%に*/
    height: auto;
}

/*slickのJSで書かれるタグ内、スライド左右の余白調整*/

.slider .slick-slide {
    margin: 0 10px;
    /*スライド左右の余白調整*/
}

@media screen and (min-width:768px) {
    .sub-title {
        font-size: 20px;
    }


    #topic .section .main-topic .description .detaile {
        padding: 10px 20px;
        margin-bottom: 20px;
        border: solid 2px #d9f7fa;
        background-color: #fffffe;
        position: relative;
        z-index: 50;
    }

    #topic .section .main-topic .description .detaile::before {
        content: "";
        width: 30px;
        height: 30px;
        position: absolute;
        border: solid 4px #d9f7fa;
        background-color: #d9f7fa;
        bottom: -15%;
        right: -2%;
    }

    #topic .section .main-topic .description .detaile:nth-of-type(2)::after {
        content: "1";
        position: absolute;
        top: 0%;
        font-weight: 900;
        font-size: 36px;
        top: -70%;
        left: -2%;
        color: #d9f7fa;
    }

    #topic .section .main-topic .description .detaile:nth-of-type(3)::after {
        content: "2";
        position: absolute;
        top: 0%;
        font-weight: 900;
        font-size: 36px;
        top: -70%;
        left: -2%;
        color: #d9f7fa;
    }

}

/*opening*/
.opening-table {
    width: 90%;
    border-collapse: collapse;
    text-align: center;
    font-size: 14px;
    margin-bottom: 20px;
    z-index: 50;
}

.opening-table th,
.opening-table td {
    border: 1px solid #ccc;
    padding: 12px 8px;
}

.opening-table thead th {
    background: #f5faff;
    font-weight: bold;
}

.opening-table tbody th {
    background-color: #f5faff;
}

.opening-table td {
    background-color: #fffffe;
}


.openingbtn {
    text-align: center;
    margin-bottom: 35px;
}


@media screen and (min-width:768px) {

    .opening-table {
        font-size: 16px;
    }
}

/*access*/
.map {
    position: relative;
    width: 100%;
    padding-bottom: 56.25%;
    /* 16:9 */
    height: 0;
    margin-bottom: 30px;
}

.map iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 0;
}

/*contact*/
#contact .section .description {
    font-size: 12px;
}

.contactbtn {
    padding: 20px;
}

/* anchor 全体が stacking context を持つ */
.btntransform {
    position: relative;
    display: inline-block;
    padding: 0 0 0 15px;
    line-height: 50px;
    color: #333;
    text-decoration: none;
    z-index: 0;
    /* 疑似要素の基準にする */
}

/* テキストだけ前面に出す */
.btntransform span {
    position: relative;
    z-index: 2;
}

/* 背景より前、テキストより後ろに置く */
.btntransform::before {
    content: '';
    position: absolute;
    left: 0;
    width: 50px;
    height: 50px;
    background: #d9f7fa;
    border-radius: 25px;
    transition: .3s ease-out;

    z-index: 1;
    /* ← 中間レイヤー！ */
}

.btntransform:hover::before {
    width: 212px;
}

/*再生バー*/
.progress {
    width: calc(90svw - 100px);
    height: 6px;
    background: #fffffe;
    border: solid 0.25px #d9f7fa;
    position: fixed;
    overflow: hidden;
    bottom: 13vh;
    left: 50%;
    transform: translate(-50%, -50%);
}

.progress::after {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    background: #d9f7fa;
    animation: play 300s linear infinite;
}

/*再生バーアニメーション*/

@keyframes play {
    0% {
        width: 0%;
    }

    100% {
        width: 100%;
    }
}

/*再生バーレスポンシブ*/
@media screen and (min-width:768px) {
    .progress {
        width: calc(60svw - 100px);
    }
}

/*再生バーレスポンシブここまで*/

.footer {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    text-align: center;
    padding: 10px 0;
}

.footer p {
    font-size: 10px;
}

@media screen and (min-width:768px) {
    .footer {
        display: flex;
        justify-content: center;
    }
}